#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0xf65250a8, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xd5080ff3, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x133c6cc0, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x8c732236, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xa52a56ab, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xb36f7635, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0xcf474ca2, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xf0560b67, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x3783853e, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x65d1c257, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0xf31e2793, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x6548e0ff, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x4bb199d7, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x7018312b, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x6cd64120, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x48f52b56, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xf4dc22d0, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x7ac02c7a, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x8a36750a, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x93d6ba17, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x88db1705, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xc5a3f1c9, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x87a9ebab, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x574b05e6, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xbfda64c2, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x0fa2acbe, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xe44aad3a, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xc203f292, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x0a231956, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x9d02a57c, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xdade7ab3, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x37ba4a77, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x24cfb69b, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x324b3635, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x8806aaf5, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x8a0b56b8, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x131e7238, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x3e185ada, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xc5b145b0, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x8eb61337, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xc395b4d1, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xce5b6542, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xef4e0af2, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x67590491, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xeecb5c20, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x5a2d6482, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x9fd575ef, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x480d6765, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x47ace0fe, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xf68f14cf, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xc152df9e, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xb25c3b1f, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x3b4b0b80, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xab55cef8, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x0177abc7, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x0f5039ba, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x342ce8d7, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x7f5b32f2, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xa8625019, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xb150f741, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xcd81ce1a, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x29307175, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x81c506c5, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0xf2d78499, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xdef96000, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x2667e872, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x0c8b43b9, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xfb7ef3da, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x7b0bcd41, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x103d8cb3, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xafe06589, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x11b3bd3e, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xd7e79677, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xb4ecb189, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x42ce9ba6, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x66a3ca4f, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x5f80bb6f, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x76e79ae8, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x29f6c2dd, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x161571a1, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xd820c6bb, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x4ae1b58f, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x09e011d7, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0xed61cedb, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x6ae93d7f, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x7467d1af, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x9698ac7b, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0xeca7cf5b, "_gpl");
SYMBOL_CRC(is_cxl_region, 0xd3291551, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x460c60a9, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x0ff39fd3, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xdf751156, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14a79f87, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x4c1d014b, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5502f76a, "bpf_trace_run4" },
	{ 0x44ebdc53, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x70982e33, "dev_set_name" },
	{ 0x442dfa6c, "param_ops_ushort" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x544de408, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7ee62a32, "cdev_device_del" },
	{ 0x3f6f4cb9, "bpf_trace_run6" },
	{ 0x311cac07, "pci_doe" },
	{ 0x7f4fb169, "device_unregister" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf3c264cc, "trace_event_printf" },
	{ 0xa51defe, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x8a018d3e, "device_initialize" },
	{ 0x25a3be1a, "trace_event_raw_init" },
	{ 0x81844c9d, "vmemdup_user" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xd25144a7, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf7637850, "bpf_trace_run2" },
	{ 0x28e8698f, "event_triggers_call" },
	{ 0x7e437e09, "devm_remove_action" },
	{ 0xe8948fd2, "get_device" },
	{ 0xbd1b6f53, "__dynamic_dev_dbg" },
	{ 0xa2fc75e7, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x74fde54b, "platform_bus" },
	{ 0xdb4e00a7, "dev_driver_string" },
	{ 0x695d387f, "trace_event_buffer_commit" },
	{ 0x9fef936c, "pci_read_config_dword" },
	{ 0xe941398c, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x10b584da, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xce7604ac, "put_device" },
	{ 0xc9a91797, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xd7c672cb, "bus_for_each_dev" },
	{ 0x2952eac0, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x1a8138e, "compat_ptr_ioctl" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3dae676a, "perf_trace_run_bpf_submit" },
	{ 0xffe20d34, "sysfs_update_group" },
	{ 0x6ad2f358, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x3a3f57d, "devm_kfree" },
	{ 0x93df894b, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x1bfccbd4, "debugfs_create_bool" },
	{ 0x79f33f40, "bus_find_device" },
	{ 0x4a7ac38b, "device_add" },
	{ 0xa98a7117, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x51cda646, "noop_llseek" },
	{ 0x393a03dd, "bpf_trace_run5" },
	{ 0xb47ac0c1, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2b2bc15e, "kernfs_find_and_get_ns" },
	{ 0xb4d236b8, "debugfs_remove" },
	{ 0x4004464a, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x69dadd51, "trace_event_reg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x5574a5bb, "driver_unregister" },
	{ 0x293e3caa, "pcie_link_speed_mbps" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdd2c47f9, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xce5dccff, "devm_release_action" },
	{ 0x7b02146, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x252fe7e4, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x781495e3, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x6f2ac80d, "device_for_each_child_reverse_from" },
	{ 0x8e7da70a, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x103bafd6, "down_read" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xbc75a65, "bpf_trace_run3" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x97a3f2a1, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd73b4467, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x79cd6498, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xaec314a2, "kernfs_put" },
	{ 0x27fb5c14, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e7d367a, "seq_printf" },
	{ 0x9eea4136, "device_match_name" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xe091d6ee, "pci_walk_bus" },
	{ 0x95ccdcc1, "kmalloc_trace" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xc971a378, "__devm_add_action" },
	{ 0xf421a7da, "pci_find_dvsec_capability" },
	{ 0x7f60561f, "device_find_child_by_name" },
	{ 0x25432d17, "device_release_driver" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2fa6340f, "pci_write_config_word" },
	{ 0x36304424, "debugfs_create_dir" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xf2445fe4, "pcie_bandwidth_available" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xdc895842, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5c157c1f, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xbac05a7f, "pci_bus_type" },
	{ 0x5ad6de54, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xbd49c3a4, "bus_register" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D3ADE44F385542194875132");
MODULE_INFO(rhelversion, "9.6");
