#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x5e8a2f49, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x82667d8e, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x2cae3ce8, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x5b8f1f90, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x237ef2f0, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x5dcf52ee, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x18cf5f2c, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xac73e6c6, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x82c004b1, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xecbe759e, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xd03fc75f, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x6861ed03, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xebd1ec48, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x2fa24a2e, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xcad15b58, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x0d39bc24, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xbd17d656, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xf8d79703, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xfcad7f17, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xe3971f77, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x85fe345f, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xd21e9eec, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x69b0d810, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xd305a16f, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x73bea907, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x836bc2b4, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x479a776e, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x2a92ebad, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xbe614cbe, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x02512d9e, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xeb4db7cc, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x9e627b7f, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x16c40973, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xcc42fa06, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x80885447, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xac30471e, "");
SYMBOL_CRC(mlx4_test_async, 0x23fd4c0c, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xc56dde5a, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x5aee188b, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x2fb38ef9, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xd00d1cb8, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x100d014a, "");
SYMBOL_CRC(mlx4_assign_eq, 0xc28b3dac, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x01138bc3, "");
SYMBOL_CRC(mlx4_release_eq, 0x61d60dca, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x4c1326c6, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x9ccb5745, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x15bb5197, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xd565f0f4, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x7242abcb, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xbfb0db35, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0xb1f85c0a, "");
SYMBOL_CRC(mlx4_wol_read, 0xf728f5ce, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x14116db6, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xb0746557, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xbcf5782f, "");
SYMBOL_CRC(set_phv_bit, 0xdff732ec, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x08989ea9, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x95b7d70c, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x06eb10d9, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x93bd2433, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xf2661ccf, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x33744690, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x6a2405ea, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xf5872c30, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x27b98d8a, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xf8fe0514, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x76894f1d, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x1f43a965, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x37027391, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x37b89432, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xbc1fa9fc, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xdcd865e9, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x6f79c6dc, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xcbd24f04, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xbce3740c, "");
SYMBOL_CRC(mlx4_read_clock, 0xcdc03e99, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x5b2e31ba, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xd48d88ab, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x9a8bf885, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x88150510, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x20215eaf, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xdcbdf8a6, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x87dce781, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x644f8abc, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x4e539ce5, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x28d65a91, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x86655989, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x39dd884f, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x602815cd, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x61e9056d, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xf03e5b40, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x091f244b, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xf9c0a708, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x67ff75b5, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xf1532366, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xa2a28063, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x925e09a7, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x6a21439c, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xb8a06b95, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xd8e5a5fd, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x8dc29fc5, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x6e1e65ec, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x2ac3f328, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x906475a7, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xf8e67c69, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x70f34480, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xd204404a, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xa31fed1a, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x0d0ae656, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xf9861822, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xc9c9d9af, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xf0d275ad, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x7bd5298d, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x8148a49c, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x40ee5b68, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x4e718cdd, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x139d6299, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x70d60b43, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x955b47bf, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x6e012821, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x1b53d9d8, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xc746754d, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x48fb6f91, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xa53dea9c, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xead4f7e4, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xbdcc9752, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x8aead8d6, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xb53e6782, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x3f6fe8a1, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x7f679a3e, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xfcfe803c, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x801e0b18, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x1de57cc6, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xce9ea77b, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x6cb1f902, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x4d022172, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x33b0564b, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x5b92ff9f, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xb582e0e1, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x4f86adc6, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xcfebd5eb, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x8136dc0b, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0xe18f7796, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x86a119a9, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xb5c5021b, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x4ba04ac4, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x7f20760e, "");
SYMBOL_CRC(mlx4_get_module_info, 0x3ebdf4d3, "");
SYMBOL_CRC(mlx4_max_tc, 0xcbe020dd, "");
SYMBOL_CRC(mlx4_put_qp, 0x18f820ab, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x8ec66b05, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x2f828bd2, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x356fc77c, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xdb757df8, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x6bd706c4, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xaf2503d0, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x205038cd, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x623e7280, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xe81a8a1f, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xf5d2ae69, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x2770a640, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x9c1f1583, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xe7ffddae, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x8833e47d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b2cb44, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7a88e8b, "pcie_capability_write_word" },
	{ 0x1bc70b97, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x555768d4, "devl_region_create" },
	{ 0x800c59a2, "devlink_unregister" },
	{ 0x122c217e, "dma_pool_create" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7a22ba13, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x943e3f2f, "auxiliary_device_init" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4e69f33, "devlink_region_snapshot_id_get" },
	{ 0xf0c5b345, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xa8499691, "__pci_register_driver" },
	{ 0xd566933c, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x276e552b, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xae37d3e8, "param_array_ops" },
	{ 0x4fc105df, "pci_request_regions" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9c203599, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x9893c983, "pci_sriov_get_totalvfs" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xd6db0874, "devlink_register" },
	{ 0x4c539f5f, "devlink_port_type_clear" },
	{ 0x638bd11c, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xbcfe9fd2, "param_ops_byte" },
	{ 0xe8948fd2, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49672828, "node_states" },
	{ 0x45d05e91, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x9fef936c, "pci_read_config_dword" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x9db29924, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x9429d20a, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x661688bf, "priv_to_devlink" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xce7604ac, "put_device" },
	{ 0xb6b2b0b3, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x3ea64bc, "kmalloc_node_trace" },
	{ 0xe8fbfbf0, "__free_pages" },
	{ 0xf056636c, "_dev_info" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0x3f9f7208, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x7477f481, "__dma_sync_single_for_cpu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x93df894b, "_dev_err" },
	{ 0x7c1e278b, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x4139c8ed, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x81b433f2, "down" },
	{ 0x8d2fcd7, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc0adf97d, "dma_alloc_attrs" },
	{ 0x4004464a, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xd67d7fbd, "devl_params_register" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x78a60da5, "pci_restore_state" },
	{ 0x7b02146, "device_del" },
	{ 0x83e3b50b, "devl_param_driverinit_value_set" },
	{ 0x781495e3, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x8dad6fa8, "__alloc_pages" },
	{ 0xd08f0c24, "pci_set_master" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x96b8de16, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x103bafd6, "down_read" },
	{ 0xe80228f5, "devl_unlock" },
	{ 0xe798236d, "jiffies" },
	{ 0x7c6db628, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x70d1f63c, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x83d6049, "param_ops_bool" },
	{ 0x2af41004, "pci_release_regions" },
	{ 0xd8ea8d89, "__dma_sync_single_for_device" },
	{ 0x88054390, "devl_assert_locked" },
	{ 0x3d20713f, "pcie_print_link_status" },
	{ 0x322d4e8a, "alloc_pages" },
	{ 0x92b2ee61, "devl_port_unregister" },
	{ 0x95379113, "devl_param_driverinit_value_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x3bf11279, "devlink_priv" },
	{ 0xb050209a, "pci_disable_sriov" },
	{ 0xd0aea047, "pci_disable_msix" },
	{ 0xe58a19e0, "pci_disable_device" },
	{ 0x74f56e7, "dev_printk" },
	{ 0x9281ed4a, "dma_set_mask" },
	{ 0x753a2544, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x1757f82f, "dma_unmap_sg_attrs" },
	{ 0x95ccdcc1, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x5fa83f5c, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x9769f00d, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xea374504, "pci_write_config_dword" },
	{ 0x5ad6de54, "kmalloc_caches" },
	{ 0x47f95a56, "device_remove_file" },
	{ 0x274742d6, "dma_map_sg_attrs" },
	{ 0x8be8da48, "devl_param_value_changed" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A586B3738EC4CE53A82327");
MODULE_INFO(rhelversion, "9.6");
