#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x41db8505, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x7e381abc, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x401e5db5, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x146893b8, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x30268e90, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xae73b9cd, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xb8c5e459, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x705b57c4, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xe8a51db5, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x5b7bcf4d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xd1158be2, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x10e919b6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xe3a65d28, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x9b3bd545, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x62ce365e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x146e3a3c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x50711b0e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x9f6085b6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x49b4b53f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xaa41ca90, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xe237b507, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x49de0f18, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xac19c024, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xb3dec4db, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xe051ab07, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x584c9687, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x4ae46969, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x363ff951, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xf508bd18, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xbacbdbfa, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xce29c207, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xa2918758, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xb4064533, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xa7a62c5b, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x54a182d3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x5320314a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3359071, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5b38a78a, "vsock_insert_connected" },
	{ 0x181080b4, "skb_put" },
	{ 0xe7d3db56, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x544de408, "trace_raw_output_prep" },
	{ 0xba860b2a, "vsock_remove_sock" },
	{ 0xf3c264cc, "trace_event_printf" },
	{ 0x3ed330ea, "vsock_deliver_tap" },
	{ 0x25a3be1a, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x28e8698f, "event_triggers_call" },
	{ 0xdc14592b, "sk_error_report" },
	{ 0x695d387f, "trace_event_buffer_commit" },
	{ 0xed82916e, "vsock_find_bound_socket" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc9a91797, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x2f9ac262, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3dae676a, "perf_trace_run_bpf_submit" },
	{ 0x59a99c05, "sk_skb_reason_drop" },
	{ 0xbd9fc030, "sk_free" },
	{ 0x69dadd51, "trace_event_reg" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x408cca37, "__skb_recv_datagram" },
	{ 0xe239f2ba, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa26d8355, "vsock_stream_has_data" },
	{ 0xe792ad5, "skb_copy_datagram_iter" },
	{ 0x3c9f905a, "bpf_trace_run9" },
	{ 0xe4bfba83, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xf223a489, "sock_efree" },
	{ 0xaab205ec, "bpf_trace_run10" },
	{ 0xae61ce1f, "vsock_core_get_transport" },
	{ 0x7346813e, "__zerocopy_sg_from_iter" },
	{ 0xa8f00d95, "vsock_stream_has_space" },
	{ 0x7ac48cc5, "skb_set_owner_w" },
	{ 0xd73b4467, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe60f1a3c, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xdb2f7662, "msg_zerocopy_realloc" },
	{ 0x95ccdcc1, "kmalloc_trace" },
	{ 0x6cc58757, "vsock_create_connected" },
	{ 0x830ed3fd, "vsock_assign_transport" },
	{ 0x524626c9, "iov_iter_revert" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x13bad84d, "iov_iter_npages" },
	{ 0x5ad6de54, "kmalloc_caches" },
	{ 0x33b63151, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe9416e15, "vsock_data_ready" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "7C083D91F50EDBE8A1FB28E");
MODULE_INFO(rhelversion, "9.6");
